classification
Title: IDLE exits with UnicodeDecodeError on Ctrl+Space
Type: Stage:
Components: IDLE Versions: Python 3.1
process
Status: closed Resolution: duplicate
Dependencies: Superseder:
Assigned To: Nosy List: gpolo, scav, terry.reedy
Priority: normal Keywords:

Created on 2009-02-05 10:02 by scav, last changed 2009-02-08 12:34 by gpolo. This issue is now closed.

Messages (4)
msg81190 - (view) Author: Peter Harris (scav) Date: 2009-02-05 10:02
Using Python3.1 built from svn, on RedHat EL4, with Tcl/Tk 8.5 built
from source.

Traceback:
------------------
  File "/usr/mlocal/lib/python3.1/runpy.py", line 122, in
_run_module_as_main
    "__main__", fname, loader, pkg_name)
  File "/usr/mlocal/lib/python3.1/runpy.py", line 34, in _run_code
    exec(code, run_globals)
  File "/usr/mlocal/lib/python3.1/idlelib/idle.py", line 22, in <module>
    idlelib.PyShell.main()
  File "/usr/mlocal/lib/python3.1/idlelib/PyShell.py", line 1407, in main
    root.mainloop()
  File "/usr/mlocal/lib/python3.1/tkinter/__init__.py", line 1009, in
mainloop
    self.tk.mainloop(n)
UnicodeDecodeError: 'utf8' codec can't decode bytes in position 0-1:
illegal encoding
----------------
The list of completions appears just before the crash. I can't tell
whether the error occurs within tkinter or IDLE.

If I find out where to put the try/except I'll submit a patch.
msg81303 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2009-02-06 21:57
On IDLE 3.0, win xp, cntl-space brings up a selection box with known
names to select.  What was your actual input?
msg81374 - (view) Author: Peter Harris (scav) Date: 2009-02-08 11:43
Yeah, I know that's what it's supposed to do.  It does pop up the list
of names, but then crashes.

It happens no matter what has been input, even on an empty window.

However, if it works for everyone else, maybe I built Tcl wrongly.
msg81375 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2009-02-08 12:34
This is a duplicate, see issue1028.
History
Date User Action Args
2009-02-08 12:34:03gpolosetstatus: open -> closed
resolution: duplicate
messages: + msg81375
nosy: + gpolo
2009-02-08 11:43:19scavsetmessages: + msg81374
2009-02-06 21:57:51terry.reedysetnosy: + terry.reedy
messages: + msg81303
2009-02-05 10:02:43scavcreate